org.tmatesoft.svn.core.wc2

## Class SvnGetMergeInfo

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<java.util.Map<SVNURL,SVNMergeRangeList>>
  - - org.tmatesoft.svn.core.wc2.SvnGetMergeInfo

- All Implemented Interfaces:
    ISvnOperationOptionsProvider

      public class SvnGetMergeInfo
      extends SvnOperation<java.util.Map<SVNURL,SVNMergeRangeList>>

  Returns mergeinfo as a `Map` with merge source URLs (as `SVNURL`) mapped to range lists (`SVNMergeRangeList`). Range lists are objects containing arrays of `ranges` describing the ranges which have been merged into `target`'s URL (working copy path) as of `target`'s `pegRevision`. If there is no mergeinfo, returns `null`. `Target` can be either URL or working copy path.

  Note: unlike most APIs which deal with mergeinfo, this one returns data where the keys of the map are absolute repository URLs rather than repository filesystem paths.

  Note: this routine requires repository access. `SvnOperation.run()` throws `SVNException` in the following cases:
  exception with `SVNErrorCode.UNSUPPORTED_FEATURE` error code - if the server doesn't support retrieval of mergeinfo (which will never happen for file:// URLs)
  Version:
    1.7
  Author:
    TMate Software Ltd.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SvnGetMergeInfo(SvnOperationFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isChangesWorkingCopy()` Gets whether the operation changes working copy

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

      `addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnGetMergeInfo

          protected SvnGetMergeInfo(SvnOperationFactory factory)

  - ### Method Detail

    - #### isChangesWorkingCopy

          public boolean isChangesWorkingCopy()

      Gets whether the operation changes working copy
      Overrides:
        `isChangesWorkingCopy` in class `SvnOperation<java.util.Map<SVNURL,SVNMergeRangeList>>`
      Returns:
        `true` if the operation changes the working copy, otherwise `false`